package app08a.action;

import java.util.ArrayList;
import java.util.Date;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import app08a.to.AddressTO;

public class TestBeanAction extends Action {

  public ActionForward execute(ActionMapping mapping, ActionForm form, 
    HttpServletRequest request, HttpServletResponse response) throws Exception {
    request.setAttribute("position", "StrutsProgrammer");
    
    AddressTO address = new AddressTO();
    address.setStreetAddress("315 Avoca Street");
    address.setCity("Albany");
    address.setState("NY");
    address.setZipCode("12110");
    ArrayList phones = new ArrayList(2);
    phones.add("432 89894949");
    phones.add("432 84839283");
    address.setPhones(phones);
    
    request.setAttribute("address", address);
    request.setAttribute("now", new Date());
    request.setAttribute("quantity", new Integer(9876));

    Cookie passwordCookie = new Cookie("passwordCookie", "mySecret");
    response.addCookie(passwordCookie);
    
    return mapping.findForward("success");
  }

}
